Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Class PointcutExpressionParserTokenManager

    java.lang.Object
      org.jboss.aop.pointcut.ast.PointcutExpressionParserTokenManager

All Implemented Interfaces:
  PointcutExpressionParserConstants

public class PointcutExpressionParserTokenManager
extends Object
implements PointcutExpressionParserConstants

Field Summary
`protected char` | `curChar`
`PrintStream` | `debugStream`
`protected SimpleCharStream` | `input_stream`
`static int[]` | `jjnewLexState`
`static String[]` | `jjstrLiteralImages`
`static String[]` | `lexStateNames`

Fields inherited from interface org.jboss.aop.pointcut.ast.PointcutExpressionParserConstants
`ABSTRACT, ALL, ALL_PARAMS, AND, ANNOTATION, ARRAY, ARRAY_CLASS, BEHAVIOR, BEHAVIOR_CLOSE, BEHAVIOR_NOT, CALL, CLASS, COMMA, CONSTRUCTION, DEFAULT, DOT, EOF, EXCEPTION_SEPERATOR, EXECUTION, FIELD, FIELD_ABSTRACT, FIELD_ANNOTATION, FIELD_ARRAY, FIELD_ARRAY_CLASS, FIELD_CLASS, FIELD_CLOSE, FIELD_DECLARATION, FIELD_DOT, FIELD_FINAL, FIELD_IDENTIFIER, FIELD_INSTANCEOF, FIELD_NATIVE, FIELD_NOT, FIELD_PRIVATE, FIELD_PROTECTED, FIELD_PUBLIC, FIELD_SEPARATOR, FIELD_STATIC, FIELD_SYNCHRONIZED, FIELD_TRANSIENT, FIELD_TYPEDEF, FIELD_WILD_LETTER, FINAL, GET, HAS, HAS_FIELD, IDENTIFIER, IMPLEMENTING, IMPLEMENTS, INSTANCEOF, NATIVE, NEW, NOT, OR, PARAM_ANNOTATION, PARAM_ARRAY, PARAM_ARRAY_CLASS, PARAM_CLASS, PARAM_DOT, PARAM_IDENTIFIER, PARAM_INSTANCEOF, PARAM_TYPEDEF, PARAM_WILD_LETTER, PARAMS, PARAMS_CLOSE, PARAMS_OPEN, POINTCUT, POINTCUT_DOT, POINTCUT_IDENTIFIER, POINTCUT_WILD_LETTER, PRIVATE, PROTECTED, PUBLIC, SEPARATOR, SET, STATIC, SYNCHRONIZED, THROWS, tokenImage, TYPEDEF, WILD_LETTER, WITHIN, WITHINCODE`

Constructor Summary
`PointcutExpressionParserTokenManager(SimpleCharStream stream)`
`PointcutExpressionParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### PointcutExpressionParserTokenManager

    public PointcutExpressionParserTokenManager(SimpleCharStream stream)

### PointcutExpressionParserTokenManager

    public PointcutExpressionParserTokenManager(SimpleCharStream stream,
                                                int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.